

function calcPid() {
  uPitch = $('#uovPitch').val().replace(',','.');
  
  uRoll = $('#uovRoll').val().replace(',','.')  ;
  
  esc = $('#esc').val();
  style = $('#style').val();
  yawStyle = $('#yawStyle').val();

  res = doCalcPid(uPitch, uRoll, esc, style, yawStyle);

  $('#pitchP').html(res['pitchP']);
  $('#pitchI').html(res['pitchI']);
  $('#pitchD').html(res['pitchD']);

  $('#rollP').html(res['rollP']);
  $('#rollI').html(res['rollI']);
  $('#rollD').html(res['rollD']);

  $('#yawP').html(res['yawP']);
  $('#yawI').html(res['yawI']);
  $('#yawD').html(res['yawD']);



}
function calcPfactor() {
var pfactor = 0;
if ( style == 1 ) {
	pfactor = 0.61;
	}
if ( style == 2 ) {
	pfactor = 0.62;
	}
if ( style == 3 ) {
	pfactor = 0.63;
	}
if ( style == 4 ) {
	pfactor = 0.6325;
	}
	return pfactor;
}
function calcLfactor() {
var lfactor = 0;
if ( style == 1 ) {
	lfactor = 2.5;
	}
if ( style == 2 ) {
	lfactor = 3;
	}
if ( style == 3 ) {
	lfactor = 3.5;
	}
if ( style == 4 ) {
	lfactor = 4;
	}
	return lfactor;
}
function calcFactor() {
var factor = 0;
if ( esc == 1 ) {
	factor = 0.8;
	}
if ( esc == 2 ) {
	factor = 0.9;
	}
if ( esc == 3 ) {
	factor = 0.92;
	}
if ( esc == 4 ) {
	factor = 1;
	}
	return factor;
}
function calcYfactor() {
var factor = 0;
if ( yawStyle == 1 ) {
	factor = 1;
	}
if ( yawStyle == 2 ) {
	factor = 1.5;
	}
if ( yawStyle == 3 ) {
	factor = 2;
	}
if ( yawStyle == 4 ) {
	factor = 2.5;
	}
	return factor;
}
function doCalcPid(uPitch, uRoll, esc, style, yawStyle) {

  pitchP = uPitch * calcPfactor() * calcFactor();
  pitchI = pitchP * calcLfactor();
  pitchD = pitchP * 0.0135;

  rollP = uRoll * calcPfactor() * calcFactor();
  rollI = rollP * calcLfactor();
  rollD = rollP * 0.0135;

  yawP = (pitchP+rollP)/2 * calcYfactor();
  yawI = yawP * 1.9;
  yawD = yawP * 0.0085;


  res = {pitchP: pitchP.toFixed(6), pitchI: pitchI.toFixed(6), 
    pitchD: pitchD.toFixed(6), rollP: rollP.toFixed(6), rollI: rollI.toFixed(6),
    rollD: rollD.toFixed(6), yawP: yawP.toFixed(6),
    yawI: yawI.toFixed(6), yawD: yawD.toFixed(6)};
  return res;

}
